For the complete documentation index, see llms.txt. This page is also available as Markdown.

Shipment

Get Shipment Transactions

GET https://open-api.zortout.com/v4/Shipment/GetShipmentTransactions

Get list of shipment transactions.

Query Parameters

Name
Type
Description

updatedafter

String

Updated Date After ..... (yyyy-MM-dd)

updatedbefore

String

Updated Date Before ..... (yyyy-MM-dd)

createdafter

String

Created Date After ..... (yyyy-MM-dd)

createdbefore

String

Created Date Before ..... (yyyy-MM-dd)

limit

Int

Limit per page (Max = 500)

page

Int

Page (Default = 1)

Headers

Name
Type
Description

storename*

String

Store Name

apikey*

String

API Key

apisecret*

String

API Secret

trackingNoList

String

List Of Tracking No Ex. “SP0001,SP0002”

Parameter
Type
Description/Example

res

Response

Response Code 200- Success

list

ShipmentTransaction (Array)

Shipment Transaction List (Array)

count

Int

Total shipment transaction number by filter

ShipmentTransaction (Array)
Type
Description/Example

id

Int

Shipment ID

carrierName

String

Shipment Provider Name

shipmentNumber

String

Shipment Number

trackingNumber

String

Tracking No

trackingLink

String

Tracking No Url

reference

String

Reference

reference2

String

Reference 2

customerName

String

Contact Name

customerPhone

String

Contact Phone

customerAddress

String

Contact Address

customerPostcode

String

Contact Postcode

customerProvince

String

Contact Province

customerDistrict

String

Contact District

customerSubDistrict

String

Contact Subdistrict

customerStreetAddress

String

Contact Street Address

status

String

Status (Pending, Waiting,

Shipping, Success, Voided, Failed Shipment)

isCOD

Boolean

COD Status

codAmount

Double

COD Amount

shippingCost

Double

Shipping Fee

createdatetime

Datetime

Created Datetime

createdatetimeString

String

Created Datetime Text (yyyy-MM-dd HH:mm)

updatedatetime

Datetime

Updated Datetime

updatedatetimeString

String

Updated Datetime Text (yyyy-MM-dd HH:mm)

createUserid

Int

Created User ID

createUsername

String

Created User (Username)

createdBy

String

Created User (Display name)

Get Shipment Transaction Detail

GET https://open-api.zortout.com/v4/Shipment/GetShipmentTransactionDetail

Get shipment transaction detail.

Query Parameters

Name
Type
Description

id

Int

Shipment ID *Must have either id or trackingNo

trackingNo

String

Tracking no

Headers

Name
Type
Description

storename*

String

Store Name

apikey*

String

API Key

apisecret*

String

API Secret

ShipmentTransaction
Type
Description/Example

id

Int

Shipment ID

carrierName

String

Shipment Provider Name

shipmentNumber

String

Shipment Number

trackingNumber

String

Tracking No

trackingLink

String

Tracking No Url

reference

String

Reference

reference2

String

Reference 2

customerName

String

Contact Email

customerPhone

String

Contact Phone

customerAddress

String

Contact Address

customerPostcode

String

Contact Postal Code

customerProvince

String

Contact Province

customerDistrict

String

Contact District

customerSubDistrict

String

Contact Subdistrict

customerStreetAddress

String

Contact Street Address

status

String

Status (Pending, Waiting,

Shipping, Success, Voided, Failed Shipment)

isCOD

Boolean

COD Status

codAmount

Double

COD Amount

shippingCost

Double

Shipping Fee

createdatetime

Datetime

Created Datetime

createdatetimeString

String

Created Datetime Text (yyyy-MM-dd HH:mm)

updatedatetime

Datetime

Updated Datetime

updatedatetimeString

String

Updated Datetime Text (yyyy-MM-dd HH:mm)

createUserid

Int

Created User ID

createUsername

String

Created User (Username)

createdBy

String

Created User (Display name)

Get Shipment Labels

GET https://open-api.zortout.com/v4/Shipment/GetShipmentLabels

Get shipment label list of shipment transactions.

Headers

Name
Type
Description

storename*

String

Store Name

apikey*

String

API Key

apisecret*

String

API Secret

idList

String

List Of Shipment ID Ex. “123,124,125”

ShipmentLabel (Array)
Type
Description/Example

linkurl

String

Url of Shipment Label

type

String

Type of Shipment Label. Ex. "flashexpress, kerry, shopeeexpress"

Format

String

Pdf, Html, Url

Data

String

Shipment Label Data (Follow on Format)

list

Int (Array)

List Of Shipment ID

Add Shipment

POST https://open-api.zortout.com/v4/Shipment/AddShipment

Call shipment provider. The available shipment is "thailandpost" (Thailand Post), “flashexpress” (Flash Express), “shopeeexpress” (Shopee Express), "dhl" (DHL) and “kex” (KEX).

Query Parameters

Name
Type
Description

shipment*

String

Shipment provider. thailandpost - Thailand Post flashexpress – Flash Express kex – KEX shopeeexpress – Shopee Express dhl - DHL

useShippingPoint

Boolean

Define this shipment uses shipping point. True : Shipping Point False : Direct Payment (Default when shipment is valid.)

Remark: Shipping Point is supported only Thailand Post, Flash Express, Shopee Exporess and DHL.

isPickup

Boolean

Define this shipment is pickup. True : Pickup (Default when Shipping Point of shipment is valid.) False : Drop off

reference

String

Reference

reference2

String

Reference 2

Headers

Name
Type
Description

storename*

String

Store Name

apikey*

String

API Key

apisecret*

String

API Secret

Request Body

Name
Type
Description

senderName

String

Sender Name

senderPhone

String

Sender Phone

senderEmail

String

Sender Email

senderAddress

String

Sender Address

senderDistrict

String

Sender District

senderCity

String

Sender City

senderProvince

String

Sender Province

senderPostcode

String

Sender Postcode

recipientName

String

Recipient Name

recipientPhone

String

Recipient Phone

recipientEmail

String

Recipient Email

recipientAddress

String

Recipient Address

recipientDistrict

String

Recipient District

recipientCity

String

Recipient City

recipientProvince

String

Recipient Province

recipientPostcode

String

Recipient Postcode

codAmount

Double

COD Amount (Assign this value = 0, if this order is not COD.)

parcelWeight

Decimal (Not Required)

Parcel Weight (Gram)

parcelWidth

Decimall (Not Required)

Parcel Width (cm)

parcelLength

Decimall (Not Required)

Parcel Length (cm)

parcelHeight

Decimall (Not Required)

Parcel Height (cm)

Parameter
Type
Description/Example

resCode

String

Response Code 200- Success

resDesc

String

Response Description

detail

Detail

Response detail

Parameter (Detail)
Type
Description/Example

id

Int

Shipment ID

trackingno

String

Tracking No

link

String

Shipping Label Link

Check Shipment Price

POST https://open-api.zortout.com/v4/Shipment/CheckShipmentPrice

Check shipment price. The available shipment is "thailandpost" (Thailand Post), “flashexpress” (Flash Express), “shopeeexpress” (Shopee Express), "dhl" (DHL) and “kex” (KEX). Support with shipping-point using.

Query Parameters

Name
Type
Description

shipment*

String

Shipment provider. thailandpost - Thailand Post flashexpress – Flash Express kex – KEX shopeeexpress – Shopee Express dhl - DHL

Headers

Name
Type
Description

storename*

String

Store Name

apikey*

String

API Key

apisecret*

String

API Secret

Request Body

Name
Type
Description

senderName

String

Sender Name

senderPhone

String

Sender Phone

senderEmail

String

Sender Email

senderAddress

String

Sender Address

senderDistrict

String

Sender District

senderCity

String

Sender City

senderProvince

String

Sender Province

senderPostcode

String

Sender Postcode

recipientName

String

Recipient Name

recipientPhone

String

Recipient Phone

recipientEmail

String

Recipient Email

recipientAddress

String

Recipient Address

recipientDistrict

String

Recipient District

recipientCity

String

Recipient City

recipientProvince

String

Recipient Province

recipientPostcode

String

Recipient Postcode

codAmount

Double

COD Amount (Assign this value = 0, if this order is not COD.)

parcelWeight

Decimal (Not Required)

Parcel Weight (Gram)

parcelWidth

Decimall (Not Required)

Parcel Width (cm)

parcelLength

Decimall (Not Required)

Parcel Length (cm)

parcelHeight

Decimall (Not Required)

Parcel Height (cm)

ShipmentPrice (Array)
Type
Description/Example

shipment

String

Shipment Provider

totalPrice

Double

Shipment Price

Last updated